Bug 189690 - Review Request: swh-plugins
Review Request: swh-plugins
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-23 00:17 EDT by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 11:07:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2006-04-23 00:17:42 EDT
Spec URL: http://people.redhat.com/green/FE/FC5/swh-plugins.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/swh-plugins-0.4.14-1.src.rpm
Description: 
A set of audio plugins for LADSPA (see http://plugin.org.uk/ for more
details).

These are useful for ardour, which I submitted for review a few days ago.
This is based on an old ccrma spec file.
Comment 1 Brian Pepple 2006-04-23 13:39:12 EDT
I'll do a formal review on this later today.
Comment 2 Brian Pepple 2006-04-23 15:31:26 EDT
PUBLISH +1

MD5Sums:
1d8418b85034ee9153c726c4c7188a1a  swh-plugins-0.4.14.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* All desired features are enabled
* Builds fine in Mock.
* Package installs and uninstalls cleanly on FC4.

Notes:
* rpmlint gives the following, which are fairly self-explanatory to fix:
  W: swh-plugins summary-ended-with-dot A set of audio plugins for LADSPA.
  E: swh-plugins zero-length /usr/share/doc/swh-plugins-0.4.14/NEWS
* The BuildRequirements for pkgconfig, gettext, libtool, bison, and
perl-XML-Parser are unnecessary since Mock should pulls these in the minimum
chroot. 
* Don't package the INSTALL doc, since it's the generic GNU Autotools file.
Comment 3 Brian Pepple 2006-04-23 15:38:12 EDT
(In reply to comment #2)

> * Package installs and uninstalls cleanly on FC4.

Whoops, meant to write FC5.
Comment 4 Anthony Green 2006-04-24 07:19:16 EDT
Thanks for looking at this.

(In reply to comment #2)
> * rpmlint gives the following, which are fairly self-explanatory to fix:
>   W: swh-plugins summary-ended-with-dot A set of audio plugins for LADSPA.
>   E: swh-plugins zero-length /usr/share/doc/swh-plugins-0.4.14/NEWS

Fixed.

> * The BuildRequirements for pkgconfig, gettext, libtool, bison, and
> perl-XML-Parser are unnecessary since Mock should pulls these in the minimum
> chroot. 

Ok, I've removed these.  But shouldn't the Exceptions section of the packaging
guidelines mention these packages as well?

> * Don't package the INSTALL doc, since it's the generic GNU Autotools file.

Right.

Updated bits here:

Spec URL: http://people.redhat.com/green/FE/FC5/swh-plugins.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/swh-plugins-0.4.14-2.src.rpm
Comment 5 Brian Pepple 2006-04-24 10:05:25 EDT
No need to post the revised spec & srpm.  I already changed the status of this
to FE-ACCEPT, since most of the changes were minor and could be fixed when you
imported this into CVS.
Comment 6 Anthony Green 2006-04-24 11:07:27 EDT
(In reply to comment #5)
> No need to post the revised spec & srpm.  

Ok.  Thanks for your quick response.  I've imported this package and requested
an FC-5 branch.  I'll close this with NEXTRELEASE now.

Comment 7 Michael Schwendt 2006-05-15 09:14:36 EDT
Something ought to be done about

  %{_datadir}/ladspa/rdf/*

however, since currently, the directories are orphaned. Depending
on administrator's umask, they can be created with insufficient
file access permissions. The directories don't belong in the
ladspa package and not in to liblrdf either. So it would be
fine if every ladspa plugin package owned them.

Note You need to log in before you can comment on or make changes to this bug.